> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 公共接口 — 查询商户支付配置

> 公共接口 — 查询商户支付配置（POST /common/payment/config）：根据应用ID查询商户的可用支付配置信息，包括支付方式、费率、账期等配置；关键请求参数含 appId、sign。

> [!NOTE]
>
> 本页所有示例请求均基于**沙盒（测试）环境**，请注意区分正式环境。

#### 密钥私钥(生成签名)

## 相关主题

* [公共接口](https://doc.haipay.net/zh/history/V20260701/api/version2/CommonApi.md)
* [HaiPay API 文档简介](https://doc.haipay.net/zh/history/V20260701/api-reference/overview.md)
* [HaiPay 配置与签名指南](https://doc.haipay.net/zh/history/V20260701/guide/config_settings_and_signature_rules_guide.md)
* [账户查询](https://doc.haipay.net/zh/operations/account-query.md)
* [查阅接口响应结构与错误码](https://doc.haipay.net/zh/history/V20260701/guide/error_response_appendix.md)


## OpenAPI

````yaml docs/zh/api-reference/common/common.openapi.json POST /common/payment/config
openapi: 3.1.0
info:
  title: 公共接口 API
  description: HaiPay 公共接口，包括账户查询、对帐文件下载、代付凭证、汇率查询、支付凭证PDF和商户支付配置查询。
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /common/payment/config:
    post:
      tags: []
      summary: 查询商户支付配置
      description: 根据应用ID查询商户的可用支付配置信息，包括支付方式、费率、账期等配置。
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: 应用ID（必填）
                  format: int64
                tranType:
                  type: string
                  description: 支付类型（可选，如 BANK_ACCOUNT、BANK_CARD、EWALLET 等），如果传入则按支付类型筛选
                transaction:
                  type: string
                  description: 交易类型（可选，pay=代付，collect=收款），如果传入则按交易类型筛选
                sign:
                  type: string
                  description: 签名（必填）
              required:
                - appId
                - sign
            example:
              appId: 1054
              tranType: BANK_ACCOUNT
              transaction: pay
              sign: >-
                af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: 状态码
                  error:
                    type: string
                    description: 错误码
                  msg:
                    type: string
                    description: 消息
                  data:
                    type: object
                    properties:
                      userId:
                        type: integer
                        description: 用户ID
                        format: int64
                      configs:
                        type: array
                        description: 配置列表
                        items:
                          type: object
                          properties:
                            appId:
                              type: integer
                              description: 应用ID
                              format: int64
                            appName:
                              type: string
                              description: 应用名称
                            tranCode:
                              type: string
                              description: 交易类型：pay=代付，collect=收款
                            tranType:
                              type: string
                              description: 支付类型（交易方式）
                            currNo:
                              type: string
                              description: 币种编码（如USD, CNY）
                            payMethods:
                              type: array
                              description: 支付方式信息列表
                              items:
                                type: object
                                properties:
                                  inBankCode:
                                    type: string
                                    description: 支付方式编码
                                  name:
                                    type: string
                                    description: 支付方式名称
                                  limit:
                                    type: object
                                    description: 限额信息
                                    properties:
                                      singleMinAmount:
                                        type: string
                                        description: 单笔最小金额
                                      singleMaxAmount:
                                        type: string
                                        description: 单笔最大金额
                            feeRate:
                              type: object
                              description: 费率信息
                              properties:
                                feeType:
                                  type: integer
                                  description: 手续费收取方式：0=外扣，1=内扣
                                feeMode:
                                  type: integer
                                  description: 手续费收款类型：0=比率，1=按笔，2=阶梯，3=底价
                                feeRate:
                                  type: string
                                  description: 手续费率
                                feeFixedValue:
                                  type: string
                                  description: 固定手续费
                                degrees:
                                  type: array
                                  description: 阶梯费率列表（fee_mode=2时）
                                  items:
                                    type: object
                                    properties:
                                      start:
                                        type: integer
                                        description: 区间开始
                                        format: int64
                                      end:
                                        type: integer
                                        description: 区间结束
                                        format: int64
                                      value:
                                        type: string
                                        description: 区间值（阶梯费率）
                                      name:
                                        type: string
                                        description: 区间名称
                            settlement:
                              type: object
                              description: 账期信息
                              properties:
                                stlMode:
                                  type: string
                                  description: 结算方式：D0=自然天，TN=工作日，WN=周结，MN=月结
                                stlCycle:
                                  type: integer
                                  description: 结算周期值
                            supportRefund:
                              type: boolean
                              description: 是否支持退款
                      sign:
                        type: string
                        description: 签名
                    additionalProperties: false
              example:
                status: '1'
                error: '00000000'
                msg: success
                data:
                  userId: 10001
                  configs:
                    - appId: 1054
                      appName: My App
                      tranCode: pay
                      tranType: BANK_ACCOUNT
                      currNo: USD
                      payMethods:
                        - inBankCode: PIX
                          name: Bank Transfer
                          limit:
                            singleMinAmount: '1.00'
                            singleMaxAmount: '50000.00'
                      feeRate:
                        feeType: 0
                        feeMode: 0
                        feeRate: '0.025'
                        feeFixedValue: '0.00'
                        degrees:
                          - start: 0
                            end: 0
                            value: ''
                            name: Bank Transfer
                      settlement:
                        stlMode: D0
                        stlCycle: 0
                      supportRefund: true
                  sign: >-
                    af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
          headers: {}
      deprecated: false
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.